Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## toxi.audio
Enum AudioBuffer.Format

    java.lang.Object
      java.lang.Enum<AudioBuffer.Format>
          toxi.audio.AudioBuffer.Format

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AudioBuffer.Format>

Enclosing class:
  AudioBuffer

    public static enum AudioBuffer.Format

extends java.lang.Enum<AudioBuffer.Format>

Format descriptor

Enum Constant Summary
`MONO16`
`MONO8`
`STEREO16`
`STEREO8`

Method Summary
`static AudioBuffer.Format` | `getForID(int id)`
`int` | `getID()`
`int` | `getNumBits()`
`int` | `getNumChannels()`
`static AudioBuffer.Format` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AudioBuffer.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MONO8

    public static final AudioBuffer.Format MONO8

### MONO16

    public static final AudioBuffer.Format MONO16

### STEREO8

    public static final AudioBuffer.Format STEREO8

### STEREO16

    public static final AudioBuffer.Format STEREO16

Method Detail

### values

    public static AudioBuffer.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AudioBuffer.Format c : AudioBuffer.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AudioBuffer.Format valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getForID

    public static AudioBuffer.Format getForID(int id)

### getID

    public int getID()

### getNumBits

    public int getNumBits()

  Returns:
    the numBits

### getNumChannels

    public int getNumChannels()

  Returns:
    the numChannels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD